%define version	0.4.6
%define release	6mdk

%define anthy_version		6300b
%define m17n_lib_version	1.2.0
%define prime_version		0.9.4

%define qtimmodule 0
%{?_with_qtimmodule: %{expand: %%global qtimmodule 1}}

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		uim
Summary:	Uim is a multilingual input method library 
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL or BSD
URL:			http://freedesktop.org/Software/uim
Source0: http://uim.freedesktop.org/releases/%{name}-%{version}.tar.bz2

# (ut) uim-0.4.6 doesn't update im engine list automatically.
# So we need to run this script after you add/remove plugins.
# UIM developers know this problem. It will be solved in uim-0.4.7.
Source1:		uim-update-imlist

# (ut) Hiroyuki Komatsu updated prime.scm for prime-0.9.x.
# He is the author of PRIME. The latest file is there:
# http://prime.sourceforge.jp/src/
Source2:		prime-0.9.4-rc1_uim-0.4.6_1.scm

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}-%{release}
Prereq:			%_bindir/gtk-query-immodules-2.0
Conflicts:			gtk+2.0 < 2.4.4-2mdk
Conflicts:			kinput2-wnn4
BuildRequires:		qt3-devel >= 3.2.0
BuildRequires:		gtk+2-devel >= 2.4.0
BuildRequires:		libgnome2-devel
BuildRequires:		gnome-panel-devel
BuildRequires:		m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:		intltool, kdelibs-devel, libeb-devel, libprime
BuildRequires:		libanthy-devel, libncurses-devel
Requires: uim-applet

%description
Uim is a multilingual input method library. Uim's project goal is 
to provide secure and useful input method for all languages.


%package	gtk
Summary:	GNOME helper for uim
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		gtk2
Provides:		uim-applet = %version

%description	gtk
GNOME helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package	qt
Summary:	KDE helper for uim
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		kdelibs
Provides:		uim-applet = %version

%description	qt
KDE helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package	qtimmodule
Summary:	A plugin for using UIM on qt-immodule
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		qt

%description	qtimmodule
A plugin for using UIM on qt-immodule.

%package -n %{libname}
Summary:	UIM library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
UIM library.

%package -n %{libname}-devel
Summary:	Headers of uim for development
Group:		Development/C
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%package	anthy
Summary:	UIM plugin for Anthy
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		anthy >= %{anthy_version}

%description	anthy
UIM plugin for Anthy.
Anthy is a Kana-Kanji conversion engine for Japanese.

%package	m17nlib
Summary:	UIM plugin for m17n library
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		m17n-lib >= %{m17n_lib_version}

%description	m17nlib
UIM plugin for m17n library.
m17n library is a library for multilingualization.

%package	prime
Summary:	UIM plugin for PRIME
Group:		System/Internationalization
Obsoletes:	prime <= 0.9.4-0.alpha3.1mdk
Requires:		%{name} = %{version}-%{release}
Requires:		prime >= %{prime_version}

%description	prime
UIM plugin for PRIME.
PRIME is a Kana-Kanji conversion engine for Japanese.

%package	skk
Summary:	UIM plugin for SKK
Group:		System/Internationalization
Requires:		%{name} = %{version}-%{release}
Requires:		skkdic

%description	skk
UIM plugin for SKK.
SKK is a Kana-Kanji conversion engine for Japanese.


%prep
%setup -q

%build
[[ ! -x configure ]] && ./autogen.sh
# (gb) don't bother with making a proper patch at this time
perl -pi -e '/QTLIBDIR=.+\/lib/ and s,/lib,/%{_lib},' configure
%configure \
	--with-m17nlib \
	--without-canna \
	--without-scim \
%if %qtimmodule
	--with-qt-immodule \
%endif
	--with-qt

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# temporary hack for updating IM list
cp %SOURCE1 %{buildroot}%{_bindir}

# replace prime.scm with the better one
rm -f %{buildroot}%{_datadir}/uim/prime.scm
cp %SOURCE2 %{buildroot}%{_datadir}/uim/prime.scm

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.{a,la}
%if %qtimmodule
rm -f %{buildroot}/%{_libdir}/qt3/plugins/inputmethods/*.{a,la,so.0}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
uim-update-imlist

%post gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
/sbin/ldconfig

%postun gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
/sbin/ldconfig

%post qtimmodule
/sbin/ldconfig

%postun qtimmodule
/sbin/ldconfig

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post anthy
uim-update-imlist
/sbin/ldconfig

%postun anthy
if test -f %{_bindir}/uim-update-imlist; then
	uim-update-imlist
fi
/sbin/ldconfig

%post m17nlib
uim-update-imlist
/sbin/ldconfig

%postun m17nlib
if test -f %{_bindir}/uim-update-imlist; then
	uim-update-imlist
fi
/sbin/ldconfig

%post prime
uim-update-imlist
/sbin/ldconfig

%postun prime
if test -f %{_bindir}/uim-update-imlist; then
	uim-update-imlist
fi
/sbin/ldconfig

%post skk
uim-update-imlist
/sbin/ldconfig

%postun skk
if test -f %{_bindir}/uim-update-imlist; then
	uim-update-imlist
fi
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README README.ja
%{_bindir}/uim-fep*
%{_bindir}/uim-helper-server
%{_bindir}/uim-sh
%{_bindir}/uim-update-imlist
%{_bindir}/uim-xim
%{_datadir}/applications/*
%{_datadir}/uim/P*.scm
%{_datadir}/uim/action.scm
%{_datadir}/uim/c*.scm
%{_datadir}/uim/d*.scm
%{_datadir}/uim/g*.scm
%{_datadir}/uim/h*.scm
%{_datadir}/uim/helperdata/*
%{_datadir}/uim/i*.scm
%{_datadir}/uim/j*.scm
%{_datadir}/uim/k*.scm
%{_datadir}/uim/l*.scm
%{_datadir}/uim/manage-modules.scm
%{_datadir}/uim/pinyin-big5.scm
%{_datadir}/uim/plugin.scm
%{_datadir}/uim/pixmaps/*
%{_datadir}/uim/py*.scm
%{_datadir}/uim/r*.scm
%{_datadir}/uim/spellcheck*.scm
%{_datadir}/uim/tables/*
%{_datadir}/uim/t*.scm
%{_datadir}/uim/u*.scm
%{_datadir}/uim/v*.scm
%{_datadir}/uim/z*.scm

%files gtk
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*-gtk*
%{_bindir}/uim-input-pad-ja
%{_libdir}/gtk-2.0/*/immodules/*.so

%files qt
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*-qt*

%if %qtimmodule
%files qtimmodule
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/qt3/plugins/inputmethods/
%{_libdir}/qt3/plugins/inputmethods/*.so*
%endif

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers/*.server
%{_libdir}/uim/plugin/libuim-custom-enabler.so
%{_libexecdir}/uim-helper-applet
%{_libexecdir}/uim-toolbar-applet

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/uim/plugin/libuim-*.a
%{_libdir}/uim/plugin/libuim-*.la

%files anthy
%defattr(-,root,root)
%doc COPYING
%{_datadir}/uim/*anthy*.scm
%{_libdir}/uim/plugin/*anthy*.so

%files m17nlib
%defattr(-,root,root)
%doc COPYING
%{_datadir}/uim/*m17nlib*.scm
%{_libdir}/uim/plugin/*m17nlib*.so

%files prime
%defattr(-,root,root)
%doc COPYING
%{_datadir}/uim/*prime*.scm
%{_libdir}/uim/plugin/*prime*.so

%files skk
%defattr(-,root,root)
%doc COPYING
%{_datadir}/uim/*skk*.scm
%{_libdir}/uim/plugin/*skk*.so


%changelog
* Tue Mar 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-6mdk
- ensure either qt or gtk is installed with uim so that setup panel, helper
  toolbar etc... works (#14947)

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-5mdk
- fix upgrade (uim-applet is dead)

* Sat Mar 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.6-4mdk
- add BuildRequires: libanthy-devel, libncurses-devel

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.6-3mdk
- fix build on lib64 platforms
- fix buildrequires (again, titi watch out!)

* Wed Mar 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-2mdk
- update source2 for prime-0.9.4-rc1
- add obsoletes prime <= 0.9.4-0.alpha3.1mdk
- fix requires

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1mdk
- new release (uim-0.4.6-final)
- replace prime.scm (source2)
- add uim-qtimmodule (default = disabled)

* Wed Feb 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1.beta2.3mdk
- add source1 uim-update-imlist
- (uim doesn't update im engine list automatically)

* Tue Feb 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1.beta2.2mdk
- split in several subpackages (uim-anthy, uim-m17n, uim-prime, uim-skk)

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-1.beta2.1mdk
- fix requires (rpmlint)
- new release (security fix) (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Feb 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-0.svn0667.2mdk
- change buildrequires prime-dict to libprime
- add buildrequires kdelibs-devel (for uim-qt)
- add buildrequires libeb-devel (for electronic book support)
- remove "post qt" and "postun qt". uim-qt doesn't have libraries.

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-0.svn0667.1mdk
- fix buildrequires
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot (uim-0.4.6-alpha)
  o spec cleanup
  o add uim-gtk, uim-qt
  o uim-applet is merged into libuim0

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.5-5.20050113.3mdk
- fix requires

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.5-5.20050113.2mdk
- kill wrong buildrequires

* Thu Jan 13 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-5.20050113.1mdk
- latest snapshot
- add "Prereq:  gtk-query-immodules-2.0"
- remove prime.scm (It should be installed by prime. prime-x.y.z needs prime-x.y.z.scm.)

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-4mdk
- add patch0, patch1
- remove "--with-canna", "--enable-dict" (experimental)

* Sun Nov 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-3mdk
- new release
- add BuildRequires: canna-devel (another Japanese translation engine)
- add uim-dict (a tool for managing dictionary)

* Thu Oct 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3-2mdk
- mklibname fixes
- no XFCE4 applet generated

* Sat Sep 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.3-1mdk
- new release

* Sat Jul 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2.1-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- new release
- fix build from official releases
- fix uim-fep build

* Thu Jul 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1041.1mdk
- svn 1041

* Wed Jul 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1029.1mdk
- svn 1029

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.2mdk
- biarch support

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.1mdk
- do not package useless files in doc
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o svn 997

* Tue Jun 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.9-2.svn912.2mdk
- svn 912
- (source) svn checkout http://freedesktop.org:8080/svn/uim/trunk

* Mon Jun 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.9-1mdk
- new release
- remove patch 0 (merged upstream)

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.8-4mdk
- svn 899
- add patch0 (made by James - it will be merged)

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-3mdk
- rebuild for new g++

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-2mdk
- add m17n support (UTUMI Hirosi)

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release
- do not overwrite config files on update

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-2mdk
- fix duplicated buildrequires

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-1mdk
- new release
- fix buildrequires
- include download url in source0
- change summary and description (UTUMI Hirosi, by authors request)
- link with gtk+2.4.0 (because of new immodules path)

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.3-1mdk
- new release
- drop patches 0 and 1 (merged upstream)

* Fri Mar 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.8-5mdk
- Patch1: fix crash in nautilus

* Mon Mar 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-4mdk
- patch 0: fix numeric pad in KDE applications (transmitted by UTUMI Hirosi)

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.2.8-3mdk
- Sanitize spec file
- Fix post scripts
- Add missing requirement

* Sat Feb 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- build release

* Tue Feb 10 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.8-1mdk
- new version

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix build

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- fix group
- fix not localized messages catalog
- add ldconfig call
- fix unpackaged files
- kill useless requires guessed by rpm
- mklibname support
- initial upload based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> work

* Sun Jan 11 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Version updated.
